use chrono::prelude::*;
use std::time::{SystemTime, UNIX_EPOCH};

pub use log::{debug, error, info, trace, warn};

pub use crate::util::validate::{Insane, Sane};

mod error;
pub use error::*;
mod id;
pub use id::*;

pub fn utc_now() -> NaiveDateTime {
    Utc::now().naive_utc()
}

pub fn unix_now() -> i64 {
    SystemTime::now()
        .duration_since(UNIX_EPOCH)
        .expect("You've either broken spacetime, or your system clock is a bit off.")
        .as_secs() as i64
}
