use chrono::prelude::*;
use serde::{Deserialize, Serialize};
use sqlx::FromRow;

use crate::core::*;
use crate::model::AccountId;
use crate::util::validate::{ResultBuilder, Validate};

pub type NoteId = Id<Note>;

#[derive(Clone, Deserialize, Serialize, FromRow)]
pub struct Note {
    pub id: NoteId,
    pub account_id: AccountId,
    pub iri: Option<String>,
    pub content: String,
    pub source: Option<String>,
    pub content_type: Option<String>,
    pub summary: Option<String>,
    pub sensitive: bool,
    pub created_at: NaiveDateTime,
    pub updated_at: NaiveDateTime,
}

pub struct NewNote {
    pub account_id: AccountId,
    pub iri: Option<String>,
    pub content: String,
    pub source: Option<String>,
    pub content_type: Option<String>,
    pub summary: Option<String>,
    pub sensitive: bool,
}

impl From<Note> for NoteId {
    fn from(val: Note) -> NoteId {
        val.id
    }
}

impl Validate for NewNote {
    fn validate(&self, builder: ResultBuilder) -> ResultBuilder {
        // todo
        builder
    }
}
