use chrono::NaiveDateTime;
use sqlx::types::Uuid;
use sqlx::FromRow;

use crate::core::*;

pub type ObjectId = Id<Object, Uuid>;

#[derive(Clone, FromRow)]
pub struct Object {
    pub id: ObjectId,
    pub iri: String,
    pub data: String,
    pub created_at: NaiveDateTime,
    pub updated_at: NaiveDateTime,
}

pub struct NewObject {
    pub id: ObjectId,
    pub iri: String,
    pub data: String,
}

impl From<Object> for ObjectId {
    fn from(val: Object) -> ObjectId {
        val.id
    }
}
