use actix_web::web;
use sqlx::PgPool;
use std::sync::Arc;

use crate::conf::Config;
use crate::job::Scheduler;
use crate::repo::AppRepo;

pub struct State {
    pub config: Config,
    pub repo: AppRepo,
    pub sched: Scheduler,
}

pub type AppState = web::Data<State>;

pub fn new(config: Config, db_pool: PgPool) -> AppState {
    web::Data::from(Arc::new_cyclic(|ptr| State {
        config,
        repo: AppRepo::new(db_pool),
        sched: Scheduler::new(ptr.clone()),
    }))
}
