import {Action} from "redux";

import {ActionCreator} from "../types";

export type ModalName = "compose" | "notifications";

export interface OpenModalAppAction extends Action<"app/openModal"> {
    id: ModalName,
}

export type CloseModalAppAction = Action<"app/closeModal">;

export type AppAction
    = OpenModalAppAction
    | CloseModalAppAction;

export const openModal: ActionCreator<OpenModalAppAction, [ModalName]> = (id) => ({
    type: "app/openModal",
    id,
});

export const closeModal: ActionCreator<CloseModalAppAction> = () => ({
    type: "app/closeModal",
});
