import {LitElement, html, css} from "lit";
import {customElement, property} from "lit/decorators.js";

@customElement("svg-icon")
export default class SVGIcon extends LitElement {
    @property({type: String, attribute: true})
    public icon = "";

    @property({type: String, attribute: true})
    public color = "";

    @property({type: Number, attribute: true})
    public size = 24;

    protected render() {
        // i have svg
        return html`
            <svg
                id="asshole"
                class="bi"
                width="${this.size}"
                height="${this.size}"
                fill="${this.color === "" ? "currentColor" : this.color}">
                <use href="/img/bootstrap-icons.svg#${this.icon}" width="${this.size}" height="${this.size}"/>
            </svg>
        `;
    }

    static get styles() {
        return css`
            :host {
                display: inline-block;
            }

            #asshole {
                overflow: hidden;
            }
        `;
    }
}
