import {LitElement, html, css} from "lit";
import {customElement, property} from "lit/decorators.js";

import {Note} from "../data/types";
import withSharedStyles from "../theme";

import "./account-header";

/** single note on the timed line */
@customElement("tl-note")
export default class TlNote extends LitElement {
    @property()
    public note: Note;

    protected render() {
        return html`
            <account-header .account=${this.note.account}></account-header>
            <div>${this.note.content}</div>
        `;
    }

    static get styles() {
        return withSharedStyles(css`

        `);
    }
}
