import {LitElement, html, css} from "lit";
import {customElement, property} from "lit/decorators.js";

import {Note} from "../data/types";
import withSharedStyles from "../theme";

import "../components/tl-note";
import "../layout/scroll-list";

@customElement("timed-line")
export default class TimedLine extends LitElement {
    @property()
    public notes: Note[] = [];

    protected render() {
        return html`
            <scroll-list>
                ${this.notes.map(note => html`<tl-note .note=${note}></tl-note>`)}
            </scroll-list>
        `;
    }

    static get styles() {
        return withSharedStyles(css`
            :host {
                display: block;
                max-width: 600px;
                margin: 0 auto;
            }
        `);
    }
}
