import {LitElement, html, css} from "lit";
import {customElement} from "lit/decorators.js";

import withSharedStyles from "../theme";

@customElement("scroll-list")
export default class ScrollList extends LitElement {
    protected render() {
        return html`
            <slot/>
        `;
    }

    static get styles() {
        return withSharedStyles(css`
            :host {
                display: block;
                overflow-y: scroll;
            }

            ::slotted(*) {
                display: block;
                margin: 0;
                padding: 8px 0;
                border-bottom: 1px solid rgba(255, 255, 255, 0.2);
            }

            ::slotted(:last-child) {
                border-bottom: none;
            }
        `);
    }
}
