import {Reducer} from "redux";

import {ModalName} from "../actions/app";
import {RootAction} from "../store";

export interface AppState {
    modal: ModalName | null;
}

const INITIAL_STATE: AppState = {
    modal: null,
};

export const appReducer: Reducer<AppState, RootAction> = (state = INITIAL_STATE, action) => {
    switch (action.type) {
        case "app/openModal":
            return {
                ...state,
                modal: action.id,
            };
        case "app/closeModal":
            return {
                ...state,
                modal: null,
            };
        default:
            return state;
    }
};
