import {configureStore, Store} from "@reduxjs/toolkit";

import {AppAction} from "./actions/app";
import {appReducer, AppState} from "./reducers/app";

export interface RootState {
    app?: AppState;
}

export type RootAction = AppAction;

const store: Store<RootState, RootAction> = configureStore({
    reducer: {
        app: appReducer,
    },
});
export default store;
